﻿
&НаСервере
Процедура ПриСозданииНаСервере(Отказ, СтандартнаяОбработка)
	//ВСТРЕЧИ
	Запрос = Новый Запрос;
	Запрос.Текст = 
		"ВЫБРАТЬ
		|	КОЛИЧЕСТВО(РАЗЛИЧНЫЕ Игра.Ссылка) КАК Ссылка
		|ИЗ
		|	Документ.Игра КАК Игра";
	
	РезультатЗапроса = Запрос.Выполнить();
	
	ВыборкаДетальныеЗаписи = РезультатЗапроса.Выбрать();
	
	Пока ВыборкаДетальныеЗаписи.Следующий() Цикл
		ВстречиВсего = ВыборкаДетальныеЗаписи.Ссылка;
	КонецЦикла;
	
	Запрос = Новый Запрос;
	Запрос.Текст = 
		"ВЫБРАТЬ
		|	КОЛИЧЕСТВО(ИграПартии.Ссылка) КАК Ссылка
		|ИЗ
		|	Документ.Игра.Партии КАК ИграПартии";
	
	РезультатЗапроса = Запрос.Выполнить();
	
	ВыборкаДетальныеЗаписи = РезультатЗапроса.Выбрать();
	
	Пока ВыборкаДетальныеЗаписи.Следующий() Цикл
		ПартииВсего = ВыборкаДетальныеЗаписи.Ссылка;
	КонецЦикла;
	
	Запрос = Новый Запрос;
	Запрос.Текст = 
		"ВЫБРАТЬ
		|	КОЛИЧЕСТВО(Игра.Результат) КАК Результат
		|ИЗ
		|	Документ.Игра КАК Игра
		|ГДЕ
		|	Игра.Результат = ""Победа""
		|
		|ОБЪЕДИНИТЬ ВСЕ
		|
		|ВЫБРАТЬ
		|	КОЛИЧЕСТВО(Игра.Результат) КАК Результат
		|ИЗ
		|	Документ.Игра КАК Игра
		|ГДЕ
		|	Игра.Результат = ""Поражение""";
	
	РезультатЗапроса = Запрос.Выполнить().Выгрузить();
	Если РезультатЗапроса.Количество() > 0 Тогда 
		ВстречиПбд = РезультатЗапроса[0].Результат;
		ВстречиПрж = РезультатЗапроса[1].Результат;
	КонецЕсли;
	
	диаг = Элементы.Диаг1;
	Диаг1.Очистить();
	тд = Диаг1.УстановитьТочку(1);
	сПоб = Диаг1.УстановитьСерию("Победы");
	сПор = Диаг1.УстановитьСерию("Поражения");
	Диаг1.УстановитьЗначение(тд, сПоб, ВстречиПбд);
	Диаг1.УстановитьЗначение(тд, сПор, ВстречиПрж);
	Диаг1.Обновление = Истина;
	
	//ПАРТИИ
	Запрос = Новый Запрос;
	Запрос.Текст = 
		"ВЫБРАТЬ
		|	КОЛИЧЕСТВО(ИграПартии.Итог) КАК Итог
		|ИЗ
		|	Документ.Игра.Партии КАК ИграПартии
		|ГДЕ
		|	ИграПартии.Итог = 1
		|
		|ОБЪЕДИНИТЬ ВСЕ
		|
		|ВЫБРАТЬ
		|	КОЛИЧЕСТВО(ИграПартии.Итог)
		|ИЗ
		|	Документ.Игра.Партии КАК ИграПартии
		|ГДЕ
		|	ИграПартии.Итог = 0";
	
	РезультатЗапроса = Запрос.Выполнить().Выгрузить();
	Если РезультатЗапроса.Количество() > 0 Тогда 
		ПартииПбд = РезультатЗапроса[0].Итог;
		ПартииПрж = РезультатЗапроса[1].Итог;
	КонецЕсли;
	Диаг2.Очистить();
	тд = Диаг2.УстановитьТочку(1);
	сПоб = Диаг2.УстановитьСерию("Победы");
	сПор = Диаг2.УстановитьСерию("Поражения");
	Диаг2.УстановитьЗначение(тд, сПоб, ПартииПбд);
	Диаг2.УстановитьЗначение(тд, сПор, ПартииПрж);
	Диаг2.Обновление = Истина;
	
КонецПроцедуры